//---------------------------------------------------------------------------
#ifndef PrefsH
#define PrefsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>

#define DefaultProfile "0 1 2 1500 15 15 1 2 1000 15 15 1 600 13 400 640 480 8"

//---------------------------------------------------------------------------

typedef struct
{
	BOOL explodeSnd;
    int  pixelSize;
    int  xRes, yRes, bitDepth;

    // skyrocket prefs
    int srNum, srExdNum, srTrailLen, srCyc;

    // super sky rocket prefs
	int ssrNum, ssrPodNum, ssrExdNum, ssrTrailLen, ssrCyc;

    // flower pot prefs
    int pNum, pExdNum, pTrailLen, pCyc;
} Prefs;

//---------------------------------------------------------------------------


class TPreferencesO : public TForm
{
__published:	// IDE-managed Components
	TGroupBox *GroupBox1;
	TGroupBox *GroupBox6;
	TEdit     *RockNumE;
	TUpDown   *RockNumUD;
	TGroupBox *GroupBox7;
	TEdit     *RockExNumE;
	TUpDown   *RockExNumUD;
	TGroupBox *GroupBox8;
	TEdit     *RockTrailLenE;
	TUpDown   *RockTrailLenUD;
	TGroupBox *GroupBox9;
	TEdit     *RockCycsE;
	TUpDown   *RockCycsUD;
	TGroupBox *GroupBox10;
	TGroupBox *GroupBox11;
	TEdit     *SRockNumE;
	TUpDown   *SRockNumUD;
	TGroupBox *GroupBox12;
	TEdit     *SRockExNumE;
	TUpDown   *SRockExNumUD;
	TGroupBox *GroupBox13;
	TEdit     *SRockTrailLenE;
	TUpDown   *SRockTrailLenUD;
	TGroupBox *GroupBox14;
	TEdit     *SRockCycsE;
	TUpDown   *SRockCycsUD;
	TGroupBox *GroupBox15;
	TGroupBox *GroupBox16;
	TEdit     *PotNumE;
	TUpDown   *PotNumUD;
	TGroupBox *GroupBox17;
	TEdit     *PotFlareNumE;
	TUpDown   *PotFlareNumUD;
	TGroupBox *GroupBox18;
	TEdit     *PotTrailLenE;
	TUpDown   *PotTrailLenUD;
	TGroupBox *GroupBox19;
	TEdit     *PotCycsE;
	TUpDown   *PotCycsUD;
	TGroupBox *GroupBox2;
	TEdit     *SRockPodNumE;
	TUpDown   *SRockPodNumUD;
	TButton   *SaveBut;
	TButton   *QuitBut;
	TCheckBox *ExplodSndChk;
	TGroupBox *GroupBox4;
	TEdit     *PixelSizeE;
	TUpDown   *PixelSizeUD;
	TGroupBox *GroupBox3;
	TUpDown *YResUD;
	TUpDown *XResUD;
	TLabel *Label1;
	TLabel *Label2;
	TRadioButton *Rad8bit;
	TRadioButton *Rad24bit;
	TLabel *Label3;
	TRadioButton *Rad16bit;
	TComboBox *YResEd;
	TComboBox *XResEd;
	void __fastcall QuitButClick(TObject *Sender);
	void __fastcall SaveButClick(TObject *Sender);
	
	void __fastcall FormShow(TObject *Sender);
	
	
	
private:	// User declarations
public:		// User declarations
	Prefs      prefs;                // save pyro info

	__fastcall TPreferencesO(TComponent* Owner);

    void       LoadPrefsInfo (void);
    void       SavePrefsInfo (void);
};
//---------------------------------------------------------------------------
extern TPreferencesO *PreferencesO;
//---------------------------------------------------------------------------
#endif
