//---------------------------------------------------------------------------
#ifndef SSFrameH
#define SSFrameH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>

#include "Prefs.h"
#include "DDWrapper.h"
#include "Fclasses.h"


//---------------------------------------------------------------------------

class TSSFrameO : public TForm
{

public:
	DDWrapper     ddObj;

	SkyRocket*    pSkyRockets;
    FlowerPot*    pFlowerPots;
    MultiRocket*  pMultiRockets;
    BOOL		  threadDieSemaphore;
    BOOL		  threadExitSemaphore;

    Prefs         prefs;
    DWORD		  threadID;

__published:	// IDE-managed Components

	void __fastcall FormMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
	void __fastcall FormKeyPress (TObject *Sender, char &Key);

	void __fastcall RefreshTimer (TObject *Sender);
	void __fastcall FormPaint    (TObject *Sender);

	void __fastcall FormDestroy(TObject *Sender);


private:	    // User declarations

public:		// User declarations
	__fastcall TSSFrameO        (TComponent* Owner);
	void       BreakScreenSaver (BOOL dieNow);
    COLORREF   PicColour        (void);
    void       LoadPrefsInfo    (void);
};

DWORD WINAPI ThreadFunc (LPVOID pData);
//---------------------------------------------------------------------------

extern TSSFrameO *SSFrameO;

//---------------------------------------------------------------------------

#endif
